This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300683 - (CVE-2016-1926) CVE-2016-1926 openvas-gsa: XSS vulnerability due to improper handling of the parameters of get_aggregate command
CVE-2016-1926 openvas-gsa: XSS vulnerability due to improper handling of the ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160113,repor...
: Security
Depends On: 1300684 1300685
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 08:05 EST by Adam Mariš
Modified: 2016-06-03 09:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: openvas-gsa 6.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-21 08:05:03 EST
It was reported that openvas-gsa is vulnerable to cross-site scripting due to improper handling of parameters of get_aggregate command. If the attacker has access to a session token of the browser session, the cross site scripting can be executed. Affects versions >= 6.0.0 and < 6.0.8.

External References:

http://www.openvas.org/OVSA20160113.html
Comment 1 Adam Mariš 2016-01-21 08:05:37 EST
Created openvas-gsa tracking bugs for this issue:

Affects: fedora-all [bug 1300684]
Affects: epel-all [bug 1300685]
Comment 2 Fedora Update System 2016-05-01 19:52:12 EDT
openvas-cli-1.4.4-1.fc23, openvas-gsa-6.0.10-3.fc23, openvas-libraries-8.0.7-2.fc23, openvas-manager-6.0.8-2.fc23, openvas-scanner-5.0.5-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-05-08 11:20:40 EDT
openvas-cli-1.4.4-1.fc22, openvas-gsa-6.0.10-3.fc22, openvas-libraries-8.0.7-2.fc22, openvas-manager-6.0.8-2.fc22, openvas-scanner-5.0.5-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-06-03 09:18:31 EDT
openvas-cli-1.4.4-1.el7, openvas-gsa-6.0.10-3.el7, openvas-libraries-8.0.7-2.el7, openvas-manager-6.0.8-2.el7, openvas-scanner-5.0.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.